# 3 A2A heat pumps, other radiators unlimited - used to determine required
# radiator sizes.

parameters:
  duration: 2.0               # Duration of simulation, hours.
  cycleTime: 0.2              # Simulation cycle time, seconds
  reportInterval: 1           # Report interval, minutes.
  changeThreshold: 0.05       # Temperature threshold for determining if
                              # state has changed.
  sensorWeight: 0.0           # Air-radiant temperature weighting for
                              # calculating "operative" temperature.
                              # 0 is pure air temperature.
                              # 1 is pure radiant temperature.
  airTemp:     7              # Outside air temperature, °C
  groundTemp: 10              # Ground temperature, °C
  radTemp: 55                 # Average radiator temperature

programs:
  temp20:
    - duration: 4.0
      setpoint: 20
  temp18:
    - duration: 4.0
      setpoint: 18

#!include materials.yaml
#!include slabs.yaml
#!include rooms.yaml

outside:
  Air:
    # Initially this is hugely simplified. No distinction is made between air
    # and radiant temperatures, and all external surfaces are assumed to be at
    # the same temperature.
    temperature: airTemp
  Ground:
    temperature: groundTemp

heaters:
  DiningRoom:
    maxPower: 815     # max input power
    minPower: -2600
    type: a2a
    efficiency: 0.16
    room: DiningRoom
    program: temp20
  Lounge:
    maxPower: 815     # max input power
    minPower: -2600
    type: a2a
    efficiency: 0.16
    room: Lounge
    program: temp20
  BackRoom:
    maxPower: 815     # max input power
    minPower: -2600
    type: a2a
    efficiency: 0.16
    room: BackRoom
    program: temp20
  FrontBedroom:
    maxPower: 10000
    minPower: 0
    type: air
    room: FrontBedroom
    program: temp18
  BackBedroom:
    maxPower: 10000
    minPower: 0
    type: air
    room: BackBedroom
    program: temp18
  Study:
    maxPower: 10000
    minPower: 0
    type: air
    room: Study
    program: temp20
  Bathroom:
    maxPower: 10000
    minPower: 0
    type: air
    room: Bathroom
    program: temp20
  Hall:
    maxPower: 10000
    minPower: 0
    type: air
    room: Hall
    program: temp18

